<?php 

if(isset($_SESSION['admin_name'])){
   $username=$_SESSION['admin_name']; 
}else{
   echo "<script>location=../admin/admin.php</script>";
   exit; 
}


?>
<div style='width:1050px;height:755px;background:#fff;'>
<br>
<p style="font-size: 25px;text-align: center;color:#676767;">发布分享传播推广<span id="dataid"></span></p>
<br>

<center>
<form id="fabu_dianji_form" action="renwu/fabu_add.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="dianji_username" value="<?php echo $username; ?>">
<table style="width: 650px;height:400px;color:#676767;">
<tr>
<td style="width: 100px;">推广标题：</td>
<td><input name="dianji_baioti" type="text" style="padding:0px 0px 0px 0px;font-size:20px;width: 430px;" /></td>

</tr>
<tr>
<td style="width: 100px;">跳转网址：</td>
<td><input name="dianji_wangzhi" type="text" style="padding:0px 0px 0px 0px;font-size:20px;width: 430px;" /></td><td>必须加http://</td>

</tr>
<tr>
<td style="width: 100px;">跳转时间：</td>
<td><input name="dianji_tiaozhuan" type="text" style="padding:0px 0px 0px 0px;font-size:20px;width: 430px;" /></td><td>秒，0不跳转</td>

</tr>
<tr>
<td style="width: 100px;">推广图片：</td>
<td><input name="dianji_tupian" type="file" style="padding:0px 0px 0px 0px;font-size:13px;width: 430px;" /></td><td>尺寸800*500</td>

</tr>
<tr>
<td style="width: 100px;">推广内容</td>
<td><textarea name="dianji_neirong" style="resize:none;height:150px; width:430px;font-size:20px;"></textarea></td><td>支持回车换行</td>

</tr>
<tr>
<td style="width: 100px;">推广金额：</td>
<td>
<input id="shurujiner" name="dianji_jiner" type="text" style="padding:0px 0px 0px 0px;font-size:20px;width: 430px;" />
</td>
<td style="width: 100px;">元<span id="jiner_error" style="visibility:hidden;color: red;">&nbsp;不能整除</span>

</td>
</tr>
<tr>
<td style="width: 100px;">每个价格：</td>
<td><input id="meigejiage" name="dianji_meige" type="text" style="padding:0px 0px 0px 0px;font-size:20px;width:430px;" /></td>
<td>
元&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</td>
</tr>
<tr>
<td style="width: 100px;">投放区域：</td>
<td>
<select style='width:430px;font-size:20px;color:#676767;' name="dianji_jilian" >
<option value="全国">全国</option>
<option value="北京市">北京市</option>
<option value="上海市">上海市</option>
<option value="天津市">天津市</option>
<option value="重庆市">重庆市</option>
<option value="河北省">河北省</option>
<option value="山西省">山西省</option>
<option value="辽宁省">辽宁省</option>
<option value="吉林省">吉林省</option>
<option value="黑龙江省">黑龙江省</option>
<option value="江苏省">江苏省</option>
<option value="浙江省">浙江省</option>
<option value="安徽省">安徽省</option>
<option value="福建省">福建省</option>
<option value="江西省">江西省</option>
<option value="山东省">山东省</option>
<option value="河南省">河南省</option>
<option value="湖北省">湖北省</option>
<option value="湖南省">湖南省</option>
<option value="广东省">广东省</option>
<option value="海南省">海南省</option>
<option value="四川省">四川省</option>
<option value="贵州省">贵州省</option>
<option value="云南省">云南省</option>
<option value="陕西省">陕西省</option>
<option value="甘肃省">甘肃省</option>
<option value="青海省">青海省</option>
<option value="内蒙古自治区">内蒙古自治区</option>
<option value="广西壮族自治区">广西壮族自治区</option>
<option value="西藏自治区">西藏自治区</option>
<option value="宁夏回族自治区">宁夏回族自治区</option>
<option value="新疆维吾尔自治区">新疆维吾尔自治区</option>
<option value="台湾">台湾</option>
<option value="香港">香港</option>
<option value="澳门">澳门</option>
</select>
</td>
<td>
</td>
</tr>
</table>
<p><input id="fabu_dianji_btn" type="button" value="发布" style="width:100px;height:30px;color:#676767;" />
<input type="reset" value="重置" style="width:100px;height:30px;color:#676767;" />
<input id="dianji_geshu" type="hidden" name="dianji_geshu">
</p>
</form>
</center>
</div>

<script>
$("#shurujiner").keyup(function(){
    shurujiner=$(this).val();
if(!$.isNumeric(shurujiner)){
    $(this).val("");
    }

if($(this).val()==""){
    $("#meigejiage").val("");
    $("#geshu").val("");
       
}else{
    $("#jiner_error").css({"visibility":"hidden"});
}
})



$("#meigejiage").blur(function(){
var shurujiner1=$.trim($("#shurujiner").val());
var meigejiage=$.trim($(this).val());
if(!$.isNumeric(meigejiage)){$(this).val("");}
var zhengchu=(shurujiner1*1000)/(meigejiage*1000);
    if((/^(\+|-)?\d+$/.test(zhengchu))){  
           if(shurujiner1!="" && meigejiage!=""){
            $("#dianji_geshu").val(zhengchu);}
            $("#jiner_error").css({"visibility":"hidden"}); 
        return true;  
    }else{  
        $("#jiner_error").css({"visibility":"visible"});
        $(this).val("");  
        return false;
         
    }


})

$("#fabu_dianji_btn").click(function(){
    $("#meigejiage").blur();
    if($("#shurujiner").val() && $("#meigejiage").val()){
        $("#fabu_dianji_form").submit()
    }else{
        alert("任务金额与每个价格必须填写")
    }
})



</script>